SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Defines | Functions | Variables

# demo/demo-benchmark.cpp File Reference
Demonstration programs

Simple script to benchmark communication speed of the SDH. See __help__ and online help ("-h" or "--help") for available options. More...

`#include <iostream>`
`#include <vector>`
`#include <math.h>`
`#include "sdh/sdh.h"`
`#include "sdh/util.h"`
`#include "sdh/sdhlibrary_settings.h"`
`#include "sdh/basisdef.h"`
`#include "sdh/dsa.h"`
`#include "sdhoptions.h"`
Include dependency graph for demo-benchmark.cpp:

## Classes
struct | sRecordedData
| structure to hold current hand state while recording with demo-benchmark More...
## Defines
#define | _USE_MATH_DEFINES
#define | DEMO_BENCHMARK_USE_COMBINED_SET_GET 1
## Functions
void | GotoPose (cSDH &hand, std::vector< double > &ta)
int | main (int argc, char **argv)
## Variables
char const * | usage = "usage: demo-benchmark [options]\n"
cDBG | cdbg (false,"red")
Some informative variables
char const * | __help__ = " > demo-benchmark --port=2 --dsaport=3 -v\n"
char const * | __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"
char const * | __url__ = "http://www.schunk.com"
char const * | __version__ = "$Id: demo-benchmark.cpp 10895 2013-11-11 14:15:08Z Osswald2 $"
char const * | __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

## Detailed Description

Simple script to benchmark communication speed of the SDH. See __help__ and online help ("-h" or "--help") for available options.

## General file information

Author:
  Dirk Osswald

Date:
  2011-01-31

## Copyright

Copyright (c) 2011 SCHUNK GmbH & Co. KG

## Define Documentation

#define _USE_MATH_DEFINES

#define DEMO_BENCHMARK_USE_COMBINED_SET_GET 1

## Function Documentation

void GotoPose | ( | cSDH & | hand,
|  | std::vector< double > & | ta
| ) |  |

Move all axes of hand to position ta using the coordinated pose controller

Parameters:

  hand | - reference to the SDH to operate on
  ta | - axis target angles

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

## Variable Documentation

char const* __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"

char const* __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

char const* __help__ = " > demo-benchmark --port=2 --dsaport=3 -v\n"

char const* __url__ = "http://www.schunk.com"

char const* __version__ = "$Id: demo-benchmark.cpp 10895 2013-11-11 14:15:08Z Osswald2 $"

cDBG cdbg(false,"red")

char const* usage = "usage: demo-benchmark [options]\n"